/*
 * Copyright (C) 2004-2008 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of fEPG
 *
 * fEPG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * fEPG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with fEPG.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef ___FEPGMENU_H
#define ___FEPGMENU_H


#include <vdr/menuitems.h>


//////////////////////////////////////////////////////////////////////////////


#define ASCENDING  1
#define DESCENDING 0

#define MAX_ROWS  15
#define MAX_COLS   6


//////////////////////////////////////////////////////////////////////////////


class cMenuSetupFEpg : public cMenuSetupPage 
{
public:
  cMenuSetupFEpg(void);
  virtual ~cMenuSetupFEpg() { delete[] fEpgKeys; }
  
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys key);
    
  void AddCategory(const char *Title);
  void AddEmptyLine(void);
  
private:
  int newKeyUp;
  int newKeyDown;
  int newKeyLeft;
  int newKeyRight;
  int newKeyInfo;
  int newKeyPageUp;
  int newKeyPageDown;
  int newKeyBack;
  int newKeyOk;
  int newKeyRecord;
  
  int newMute;
  int newCenterInfo;
  
  int newTrans;
  
  int newTimeout;
  int newChanOrder;
  int newTimeFormat24h;
  int newHideMenuEntry;
  
  int newTVMode;
  int newNumRows;
  int newNumCols;
  int newUseSmallFont;
  int newTimeInterval;
  int newDarkenBg;
  
  cOsdItem* openScreenMenu;
  cOsdItem* openColorMenu;

  const char** fEpgKeys;
};
  
  
//////////////////////////////////////////////////////////////////////////////


#endif //___FEPGMENU_H
