/*
 * This file is part of fEPG
 *
 * fEPG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * fEPG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with fEPG.  If not, see <http://www.gnu.org/licenses/>.
 */
 
#ifndef __FEPG_TEXTWRAPPER_H
#define __FEPG_TEXTWRAPPER_H


class cExtTextWrapper 
{
public:
  cExtTextWrapper(void);
  cExtTextWrapper(const char *Text, const cFont *Font, int Width, int MaxLines=0);
 ~cExtTextWrapper();
 
  void Set(const char *Text, const cFont *Font, int Width, int MaxLines);
  const char *Text(void);
  int Lines(void) { return lines; }
  const char *GetLine(int Line);

private:
  char *text;
  char *eol;
  int lines;
  int lastLine;      
};


#endif //__FEPG_TEXTWRAPPER_H
